Bug 970501 - Remove old implicit job sharing model
Remove old implicit job sharing model
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity urgent (vote)
: 0.15
: ---
Assigned To: Raymond Mancy
tools-bugs
: NeedsTestCase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 03:54 EDT by Nick Coghlan
Modified: 2014-12-07 20:15 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-06-04 03:54:28 EDT
Description of problem:

The interaction of the old implicit job sharing model and the new ability to create your own user groups means it is possible to get additional access to another user's jobs by creating a group and adding them to it.


Version-Release number of selected component (if applicable):

Beaker 0.13

How reproducible:

Always

Steps to Reproduce:
1. User A submits an individual job
2. User B creates a new group and adds User A
3. User B has additional access to jobs submitted by User A

Actual results:

User B has additional permissions on all jobs submitted by User A

Expected results:

User B has no additional access to any individual jobs submitted by User A, ior group jobs submitted for groups of which User B is not member.
Comment 1 Raymond Mancy 2013-07-29 06:20:19 EDT
http://gerrit.beaker-project.org/#/c/2130/
Comment 6 wangjing 2013-08-12 21:26:55 EDT
verified on beaker-devel (2013-8-12)-->pass

steps:
1. User B has no additional access to any individual jobs submitted by User A
2. User B has no access to group jobs submitted for groups of which User B is not member.
Comment 7 Nick Coghlan 2013-10-02 22:27:43 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.